﻿@model Jumbula.Core.Model.CommunicationHistory.CommunicationHistoryViewModel

@{
    Layout = null;
}
@Styles.Render("~/Areas/Dashboard/Content/modal.css")

<style>
    .k-grid-pager {
        position: initial;
    }
</style>
<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                View History
            </h1>
        </div>
        <div class="actions">
            <a ngaction="People_ViewHistory_AddHistory" class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Add History" ng-click="AddHistory()">
                <i style="margin-top: 11px;" class="fg-black icon-plus-2"></i>
            </a>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <div class="double-scroll grid-support-menu" style="width: 100%;max-width: 100%;min-width: 100%;">
        <div class="wrapper1">
            <div class="div1"></div>
        </div>
        <div class="wrapper2">
            <div class="div2">
                <kendo-grid id="viewHistoryGrid" class="scroll resizable" options="viewHistoryGridOptions"></kendo-grid>
            </div>
        </div>

        <div class="clearfix"></div>
    </div>
</div>

<!--Add Or Edit-->
<div ng-if="isShowEditPopup" ng-class="{'active':isShowEditPopup}" class="jb-confirm jb-confirm-popup">
    <div>
        <div>
            <div ng-click="dismissEditPopup()" style="padding: 10px; position: absolute; right: 0; top: 0">
                <a style="color: #8a8989" href="" class="jbi-cancel"></a>
            </div>

            <fieldset>
                <label class="req-star" for="@Html.Ang(model => model.Category)">
                    Type
                </label>
                <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.Category) style="max-width: 350px;">
                    <select ng-options="obj.Value as obj.Text for obj in Categories" ng-model="@Html.Ang(model => model.Category)" @Html.AngTooltipValidationFor(model => model.Category)></select>
                </div><br />

                <label class="req-star" for="@Html.Ang(model => model.Note)">
                    Memo
                </label>

                <div class="editor-body" @Html.AngValidationClassFor(model => model.Note)>
                    <div class="input-control textarea support-error-state" @Html.AngTooltipValidationFor(m => m.Note) jb-tooltip>
                        <textarea id="@Html.Ang(model => model.Note)" ng-model="@Html.Ang(model => model.Note)"></textarea>
                    </div>
                </div>
            </fieldset>
            <button ngaction="SchoolSetting_AutoChargePolicy_Save" ng-click="save()" class="success large place-right">Save</button>
        </div>

    </div>
</div>


<div ng-if="isShowPreviewPopup" ng-class="{'active':isShowPreviewPopup}" id="previewEmail" class="jb-confirm modal jb-confirm-popup">
    <div>
        <div class="modal-content">
            <div ng-click="dismissPreviewPopup()" style="padding: 10px; position: absolute; right: 0; top: 0">
                <a style="color: #8a8989" href="" class="jbi-cancel"></a>
            </div>
            <div compile="previewText2"></div>
        </div>
    </div>
</div>
